Subject: FvwmButtonsPanel Problem

From: "Robert H. Ford II" <[email-masked]>
Date: Mon, 26 Jul 1999 16:35:11 -0500

Ever since I've been using FvwmButtonsPanel I've been having the following
problem:

I click on the button that expands the panel and about 60% of the time the panel
buttons are half as high and I go from having one row to two rows.

I took a snapshot of what it looks like.  If anyone is interested in how it
appears, I would be willing to send it either to them or the list.

I am running Fvwm Version 2.3.6 compiled on Jul 26 1999 at 13:47:00 and this
comes from fvwm-snap-19990716.

Here is a snippet of my Buttons file:

Fore rgb:ff/ff/ff
Pixmap ASBBlockBlue.xpm
Back rgb:64/62/94
Frame 0
Geometry +0+152
Columns 1
# BoxSize smart
Font -*-helvetica-medium-r-*-*-12-*
Padding 0 0

(1x6,Swallow "FvwmPager" `FvwmPager 0 5`, Frame 0)
(Size 65 65,Icon fvwm4.xpm,  Panel Fvwm)
(Center,Padding 2,Swallow "ASClock" "Exec asclock -24 -led red -shape -exe 'Auto
LockerActive.sh' &")
(Center,NoSize,Icon monitor-e0.xpm,Action \
        'Exec "ihgp74x123"  exec xterm -title ihgp74x123 -bg antiquewhite -fg bl
ack -bd magenta4 &', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(NoSize,Icon hostmanager.xpm,Action "Function Find-or-Start tkrl")
(NoSize,Icon Monitor.xpm, Panel Logins
(NoSize,Icon tool.xpm, Panel Applications
(NoSize,Icon Gandalf48x48.xpm, Panel ArtTools

########## PANEL Applications
Panel Applications
CloseOnSelect
Pixmap ASBBlockBlue.xpm
Back rgb:64/62/94
Fore rgb:ff/ff/ff
Geometry +65+66
Rows 1
(Size 56 54,Icon netscape4.xpm,Action 'Function Find-or-Start Netscape')
(Size 57 54,Icon NScal.xpm,Action 'Function Find-or-Start NetscapeCalendar')
(Size 56 54,Icon calc.xpm,Action 'Function Find-or-Start calctool')
(Size 56 54,Icon OldFashionedRadio.xpm,Action 'Function Find-or-Start audiocontr
ol')
(Title xfontselect,Size 56 54,Icon a-z.xpm,Action 'Function Find-or-Start xfonts
el', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Title xcolorselect,Size 56 54,Icon Brush.xpm,Action 'Function Find-or-Start xco
lorsel', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Size 54 54,Icon pilotmanager.xpm,Action 'Function Find-or-Start PilotManager')
(Title Answerbook,Size 56 54,Icon Info.xpm,Action 'Exec "answerbook" exec answer
book &', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Title Xmcd,Size 56 54,Icon CDrom.xpm,Action 'Function Find-or-Start xmcd', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Title JMM,Icon jmm.xpm,Size 56 54,Action 'Function Find-or-Start VendorShell', 
\
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Swallow "Perfmeter" "Exec perfmeter -d -t cpu -bg DarkSlateBlue -fg white &")

Again when I click on a panel, 60% of the time the panel is messed up.

Am I the only one having this problem?

Bob
-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     mailto:[email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]